<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>FLEXBOX_05 JEREMY GARCÍA</title>
<style>
.contenedor {
  /* 1. Prueba antes de modificar.*/
  /*Los div estan acomodados por filas y algunos salen del contenedor*/

  /* 2. Indica display: flex; a continuación*/
  display: flex;
  /*Los div se dividen en una sola fila utilizando la altura del contendor*/

  /* 3. Declara align-items: stretch; ( de hecho es el valor por default) */ 
  align-items: stretch;
  /*Los elementos se estiran verticalmenta al tamaño del contenedor*/

  /* 4. Intenta ahora probando al cambiar el valor a flex-start, center, flex-end, stretch y baseline */
	align-items: flex-start;
  /*Los elementos se acomodan en la parte superior del contenedor (Ya no ocupan todo el espacio en vertical del contenedor)*/
  align-items: center;
  /*Pone los elementos en el centro y se ajustan de forma vertical*/
  align-items: flex-end;
  /*Los elementos se acomodan en la parte inferior del contenedor, se ajustan de forma vertical a esta parte del contenedor*/
  align-items: baseline;
	/*El valor baseline no tendra efectos, cambia a diferentes tamaños las etiquetas de texto (h3, h6, h2 por ejemplo) para verlo en acción*/
  /*Podemos ver en las etiquetas de texto que todos los elementos estan alineados con la base de su texto aunque como tal el elemento div este desalineado entre sí y tenga distintas alturas*/

  height: 400px;
  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 100px;
  margin: 10px;
  text-align: center;
  line-height: 75px;
  font-size: 30px;
}
</style>
</head>
<body>
<h1>Flexible Box align-items</h1>

<div class="contenedor">
  <div><h1>A</h1></div>
  <div><h2>B</h2></div>
  <div><h2>C</h2></div>  
  <div><h6>D</h6></div>
  <div><h6>E</h6></div>  
  <div><h6>F</h6></div> 
</div>
</body>
</html>
